KToolBarRadioGroup Class Reference

`#include <ktoolbarradiogroup.h>`

Inherits QObject.

## Public Slots

void | slotToggled (int)

## Public Member Functions

| KToolBarRadioGroup (KToolBar *_parent, const char *_name=0)
| ~KToolBarRadioGroup ()
void | addButton (int id)
void | removeButton (int id)

## Detailed Description

Class for group of radio butons in toolbar.

KToolBarRadioGroup is class for group of radio butons in toolbar. Take toggle buttons which you already inserted into toolbar, create KToolBarRadioGroup instance and add them here. All buttons will emit signals toggled (bool) (or you can use sitgnal toggled (int id) from toolbar). When one button is set down, all others are unset. All buttons emit signals - those who "go down" and those who "go up".

Author
  Sven Radej radej.nosp@m.@kde.nosp@m..org

Definition at line 49 of file ktoolbarradiogroup.h.

## Constructor & Destructor Documentation

KToolBarRadioGroup::KToolBarRadioGroup | ( | KToolBar * | _parent,
|  | const char * | _name = `0`
| ) |  |

Constructor.

Parent must be KToolBar .

Definition at line 34 of file ktoolbarradiogroup.cpp.

KToolBarRadioGroup::~KToolBarRadioGroup | ( |  | ) |

Destructor.

Definition at line 42 of file ktoolbarradiogroup.cpp.

## Member Function Documentation

void KToolBarRadioGroup::addButton | ( | int | id | ) |

Adds button to group.

Button cannot be unset by mouse clicks (you must press some other button tounset this one)

Definition at line 47 of file ktoolbarradiogroup.cpp.

void KToolBarRadioGroup::removeButton | ( | int | id | ) |

Removes button from group, making it again toggle button (i.e.

You can unset it with mouse).

Definition at line 54 of file ktoolbarradiogroup.cpp.

void KToolBarRadioGroup::slotToggled | ( | int | id | ) |

slot

Internal - nothing for you here.

Definition at line 62 of file ktoolbarradiogroup.cpp.

The documentation for this class was generated from the following files:

- ktoolbarradiogroup.h
- ktoolbarradiogroup.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys